using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ZpcBulletinBoard.Models.Editor
{
    public class BulletinBoardPage
    {

        [Key]
        public int IdBulletinBoardPage { get; set; }

        [Required]
        [ForeignKey("BulletinBoard")]
        public int IdBulletinBoard { get; set; }

        [Required]
        [Display(Name = "Ime")]
        public string Name { get; set; }

        [Required]
        [Display(Name = "Trajanje")]
        public int Duration { get; set; }

        // ForeignKey
        public BulletinBoard BulletinBoard { get; set; }


        [InverseProperty("BulletinBoardPage")]
        public virtual ICollection<Note> Notes { get; set; }
    }
}
